package jesse.keeblarcraft.GuiMgr;

import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.entity.player.PlayerInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.screen.ScreenHandler;
import net.minecraft.village.Merchant;
import net.minecraft.village.MerchantInventory;
import net.minecraft.village.SimpleMerchant;
import net.minecraft.village.TradeOfferList;

public class ShopKeeperHandler extends ScreenHandler {
    private Merchant merchant;
    private MerchantInventory merchantInventory;
    boolean canRefreshTrades = false;
    boolean isLeveledMerchant = false;
    int levelAmount = 0;
    int merchantExperience = 0;

    public ShopKeeperHandler(int syncId, PlayerInventory playerInventory) {
        this(syncId, playerInventory, new SimpleMerchant(playerInventory.player));
    }

    public ShopKeeperHandler(int syncId, PlayerInventory playerInventory, Merchant merchant) {
        super(ScreenHandlerRegistration.SHOP_KEEPER_HANDLER_SCREEN_HANDLER_TYPE, syncId);
        this.merchant = merchant;
        this.merchantInventory = new MerchantInventory(merchant);
        // Add slots below
    }

    public void SetOffers(TradeOfferList offers) {
        this.merchant.setOffersFromServer(offers);
    }

    public void SetExperienceLevel(int xp) {
        this.merchantExperience = xp;
    }

    public void SetLevelProgress(int level) {
        this.levelAmount = level;
    }

    public void SetLeveled(boolean leveled) {
        this.isLeveledMerchant = leveled;
    }

    public void SetCanRefreshTrades(boolean isRefreshable) {
        this.canRefreshTrades = isRefreshable;
    }

    @Override
    public ItemStack quickMove(PlayerEntity player, int slot) {
        return null;
    }

    // Called every tick
    @Override
    public boolean canUse(PlayerEntity player) {
//        System.out.println("canUse called on Merchant!");
        return true;
    }
}
